Skip to main content
Version: 5.35.0

Popup

The Popup component provides a frame for all your popover needs, able to render custom content, forms or combined views.

Use it for contextual pop-ups, data-entry or to inform users in a consistent way with all other Mobiscroll components.

Usage​

The following example will create a popup with static content. When clicked or tapped the overlay, the Popup will close:

<script setup>
import { ref } from 'vue';
import { MbscPopup } from '@mobiscroll/vue';

const isPopupOpen = ref(true);

function closeThePopup() {
isPopupOpen.value = false;
}
</script>

<template>
<MbscPopup :isOpen="isPopupOpen" @close="closeThePopup">
<div>
<h3>Hi</h3>
<p>Are you feeling good today?</p>
</div>
</MbscPopup>
</template>

Skip to main content
Version: 5.35.0

Popup

The Popup component provides a frame for all your popover needs, able to render custom content, forms or combined views.

Use it for contextual pop-ups, data-entry or to inform users in a consistent way with all other Mobiscroll components.

Usage​

The following example will create a popup with static content. When clicked or tapped the overlay, the Popup will close:

<mbsc-popup [isOpen]="isPopupOpen" (onClose)="closePopup()">
<h3>Hi</h3>
<p>Are you feeling good today?</p>
</mbsc-popup>
@Component({...})
export class MyComponent {
isPopupOpen = true;
closePopup() {
this.isPopupOpen = false;
}
}

Skip to main content
Version: 5.35.0

Popup

The Popup component provides a frame for all your popover needs, able to render custom content, forms or combined views.

Use it for contextual pop-ups, data-entry or to inform users in a consistent way with all other Mobiscroll components.

Usage​

The following example will create a popup with static content. When clicked or tapped the overlay, the Popup will close:

import { useState } from 'react';
import { Popup } from '@mobiscroll/react';

function App() {
const [isPopupOpen, setPopupOpen] = useState(true);
const closeThePopup = () => {
setPopupOpen(false);
}

return <Popup isOpen={isPopupOpen} onClose={closeThePopup}>
<div>
<h3>Hi</h3>
<p>Are you feeling good today?</p>
</div>
</Popup>
}